-- ################################################################# SUIVI CODE SQL #################################################################

-- 2021/05/26 : SL / Migration du fichier sur Git

-- ##################################################################################################################################################
-- ###                                                                                                                                            ###
-- ###                                    Table non géographique : Domaine de valeur des communes de Charente                                     ###
-- ###                                                                                                                                            ###
-- ##################################################################################################################################################

-- DROP TABLE sditec_adresse.insee_voie

CREATE TABLE sditec_adresse.insee_voie 
(
    gid serial NOT NULL, --[PK][ATD16] Identifiant unique généré automatiquement
    insee varchar(20), --[ATD16] Code INSEE à 6 chiffres, lien avec la table projet_numéro
    libelle varchar(254), --[ATD16] Libellé de la commune
    CONSTRAINT pk_insee_voie PRIMARY KEY (gid)
)
WITH (
  OIDS=FALSE
);

ALTER TABLE sditec_adresse.insee_voie OWNER TO sditecgrp;

GRANT ALL ON TABLE sditec_adresse.insee_voie TO sditecgrp;


-- ################################################################## Commentaires ##################################################################

COMMENT ON TABLE sditec_adresse.insee_voie IS 
    '[ATD16] Domaine de valeur des communes de Charente permettant de sélectionner les voies d'adresse dans X'MAP (liste liée)';

COMMENT ON COLUMN sditec_adresse.insee_voie.gid IS '[ATD16] Identifiant unique généré automatiquement';
COMMENT ON COLUMN sditec_adresse.insee_voie.insee IS '[ATD16] Code INSEE à 6 chiffres, lien avec la table projet_numéro';
COMMENT ON COLUMN sditec_adresse.insee_voie.libelle IS '[ATD16] Libellé de la commune';


-- ############################################################ Ajout des enregistrements ###########################################################

INSERT INTO sditec_adresse.insee_voie 
    (insee, libelle)
VALUES
    ('016001', 'ABZAC'),
    ('016002', 'LES ADJOTS'),
    ('016003', 'AGRIS'),
    ('016005', 'AIGRE'),
    ('016007', 'ALLOUE'),
    ('016008', 'AMBÉRAC'),
    ('016009', 'AMBERNAC'),
    ('016010', 'AMBLEVILLE'),
    ('016011', 'ANAIS'),
    ('016012', 'ANGEAC-CHAMPAGNE'),
    ('016013', 'ANGEAC-CHARENTE'),
    ('016014', 'ANGEDUC'),
    ('016015', 'ANGOULÊME'),
    ('016016', 'ANSAC-SUR-VIENNE'),
    ('016017', 'ANVILLE'),
    ('016018', 'ARS'),
    ('016019', 'ASNIÈRES-SUR-NOUÈRE'),
    ('016020', 'AUBETERRE-SUR-DRONNE'),
    ('016339', 'AUGE-SAINT-MÉDARD'),
    ('016023', 'AUNAC-SUR-CHARENTE'),
    ('016024', 'AUSSAC-VADALLE'),
    ('016025', 'BAIGNES-SAINTE-RADEGONDE'),
    ('016026', 'BALZAC'),
    ('016027', 'BARBEZIÈRES'),
    ('016028', 'BARBEZIEUX-SAINT-HILAIRE'),
    ('016029', 'BARDENAC'),
    ('016030', 'BARRET'),
    ('016031', 'BARRO'),
    ('016032', 'BASSAC'),
    ('016034', 'BAZAC'),
    ('016035', 'BEAULIEU-SUR-SONNETTE'),
    ('016036', 'BÉCHERESSE'),
    ('016204', 'BELLEVIGNE'),
    ('016037', 'BELLON'),
    ('016038', 'BENEST'),
    ('016039', 'BERNAC'),
    ('016040', 'BERNEUIL'),
    ('016041', 'BESSAC'),
    ('016042', 'BESSE'),
    ('016044', 'BIOUSSAC'),
    ('016045', 'BIRAC'),
    ('016047', 'BLANZAGUET'),
    ('016048', 'BOISBRETEAU'),
    ('016082', 'BOISNÉ-LA-TUDE'),
    ('016049', 'BONNES'),
    ('016050', 'BONNEUIL'),
    ('016051', 'BONNEVILLE'),
    ('016053', 'BORS-DE-BAIGNES'),
    ('016052', 'BORS-DE-MONTMOREAU'),
    ('016054', 'LE BOUCHAGE'),
    ('016055', 'BOUËX'),
    ('016056', 'BOURG-CHARENTE'),
    ('016057', 'BOUTEVILLE'),
    ('016058', 'BOUTIERS-SAINT-TROJAN'),
    ('016059', 'BRETTES'),
    ('016060', 'BRÉVILLE'),
    ('016061', 'BRIE'),
    ('016062', 'BRIE-SOUS-BARBEZIEUX'),
    ('016063', 'BRIE-SOUS-CHALAIS'),
    ('016064', 'BRIGUEUIL'),
    ('016065', 'BRILLAC'),
    ('016066', 'BROSSAC'),
    ('016067', 'BUNZAC'),
    ('016068', 'CELLEFROUIN'),
    ('016069', 'CELLETTES'),
    ('016070', 'CHABANAIS'),
    ('016071', 'CHABRAC'),
    ('016072', 'CHADURIE'),
    ('016073', 'CHALAIS'),
    ('016074', 'CHALLIGNAC'),
    ('016076', 'CHAMPAGNE-MOUTON'),
    ('016075', 'CHAMPAGNE-VIGNY'),
    ('016077', 'CHAMPMILLON'),
    ('016078', 'CHAMPNIERS'),
    ('016079', 'CHANTILLAC'),
    ('016081', 'LA CHAPELLE'),
    ('016083', 'CHARMÉ'),
    ('016084', 'CHARRAS'),
    ('016085', 'CHASSENEUIL-SUR-BONNIEURE'),
    ('016086', 'CHASSENON'),
    ('016087', 'CHASSIECQ'),
    ('016088', 'CHASSORS'),
    ('016089', 'CHÂTEAUBERNARD'),
    ('016090', 'CHÂTEAUNEUF-SUR-CHARENTE'),
    ('016091', 'CHÂTIGNAC'),
    ('016093', 'CHAZELLES'),
    ('016095', 'CHENON'),
    ('016096', 'CHERVES-CHATELARS'),
    ('016097', 'CHERVES-RICHEMONT'),
    ('016098', 'LA CHÈVRERIE'),
    ('016099', 'CHILLAC'),
    ('016100', 'CHIRAC'),
    ('016101', 'CLAIX'),
    ('016102', 'COGNAC'),
    ('016103', 'COMBIERS'),
    ('016104', 'CONDAC'),
    ('016105', 'CONDÉON'),
    ('016106', 'CONFOLENS'),
    ('016046', 'CÔTEAUX-DU-BLANZACAIS'),
    ('016107', 'COULGENS'),
    ('016108', 'COULONGES'),
    ('016109', 'COURBILLAC'),
    ('016110', 'COURCÔME'),
    ('016111', 'COURGEAC'),
    ('016112', 'COURLAC'),
    ('016113', 'LA COURONNE'),
    ('016114', 'COUTURE'),
    ('016116', 'CRITEUIL-LA-MAGDELEINE'),
    ('016117', 'CURAC'),
    ('016118', 'DEVIAT'),
    ('016119', 'DIGNAC'),
    ('016120', 'DIRAC'),
    ('016121', 'DOUZAT'),
    ('016122', 'ÉBRÉON'),
    ('016123', 'ÉCHALLAT'),
    ('016124', 'ÉCURAS'),
    ('016125', 'ÉDON'),
    ('016127', 'EMPURÉ'),
    ('016128', 'ÉPENÈDE'),
    ('016130', 'LES ESSARDS'),
    ('016131', 'ESSE'),
    ('016132', 'ÉTAGNAC'),
    ('016133', 'ÉTRIAC'),
    ('016134', 'EXIDEUIL'),
    ('016135', 'EYMOUTHIERS'),
    ('016136', 'LA FAYE'),
    ('016137', 'FEUILLADE'),
    ('016138', 'FLÉAC'),
    ('016139', 'FLEURAC'),
    ('016140', 'FONTCLAIREAU'),
    ('016141', 'FONTENILLE'),
    ('016142', 'LA FORÊT-DE-TESSÉ'),
    ('016143', 'FOUQUEBRUNE'),
    ('016144', 'FOUQUEURE'),
    ('016145', 'FOUSSIGNAC'),
    ('016146', 'GARAT'),
    ('016147', 'GARDES-LE-PONTAROUX'),
    ('016148', 'GENAC-BIGNAC'),
    ('016149', 'GENOUILLAC'),
    ('016150', 'GENSAC-LA-PALLUE'),
    ('016151', 'GENTÉ'),
    ('016152', 'GIMEUX'),
    ('016154', 'GOND-PONTOUVRE'),
    ('016153', 'GONDEVILLE'),
    ('016155', 'LES GOURS'),
    ('016156', 'GOURVILLE'),
    ('016157', 'LE GRAND-MADIEU'),
    ('016158', 'GRASSAC'),
    ('016297', 'GRAVES-SAINT-AMANT'),
    ('016160', 'GUIMPS'),
    ('016161', 'GUIZENGEARD'),
    ('016162', 'GURAT'),
    ('016163', 'HIERSAC'),
    ('016164', 'HIESSE'),
    ('016165', 'HOULETTE'),
    ('016166', 'L''ISLE-D''ESPAGNAC'),
    ('016167', 'JARNAC'),
    ('016168', 'JAULDES'),
    ('016169', 'JAVREZAC'),
    ('016170', 'JUIGNAC'),
    ('016171', 'JUILLAC-LE-COQ'),
    ('016173', 'JUILLÉ'),
    ('016174', 'JULIENNE'),
    ('016176', 'LACHAISE'),
    ('016177', 'LADIVILLE'),
    ('016178', 'LAGARDE-SUR-LE-NÉ'),
    ('016180', 'LAPRADE'),
    ('016183', 'LÉSIGNAC-DURAND'),
    ('016181', 'LESSAC'),
    ('016182', 'LESTERPS'),
    ('016184', 'LICHÈRES'),
    ('016185', 'LIGNÉ'),
    ('016186', 'LIGNIÈRES-SONNEVILLE'),
    ('016187', 'LINARS'),
    ('016188', 'LE LINDOIS'),
    ('016189', 'LONDIGNY'),
    ('016190', 'LONGRÉ'),
    ('016191', 'LONNES'),
    ('016193', 'LOUZAC-SAINT-ANDRÉ'),
    ('016194', 'LUPSAULT'),
    ('016195', 'LUSSAC'),
    ('016196', 'LUXÉ'),
    ('016197', 'LA MAGDELEINE'),
    ('016198', 'MAGNAC-LAVALETTE-VILLARS'),
    ('016199', 'MAGNAC-SUR-TOUVRE'),
    ('016200', 'LE MAINE-DE-BOIXE'),
    ('016202', 'MAINXE'),
    ('016203', 'MAINZAC'),
    ('016205', 'MANOT'),
    ('016206', 'MANSLE'),
    ('016207', 'MARCILLAC-LANVILLE'),
    ('016208', 'MAREUIL'),
    ('016209', 'MARILLAC-LE-FRANC'),
    ('016210', 'MARSAC'),
    ('016211', 'MARTHON'),
    ('016212', 'MASSIGNAC'),
    ('016213', 'MAZEROLLES'),
    ('016214', 'MAZIÈRES'),
    ('016215', 'MÉDILLAC'),
    ('016216', 'MÉRIGNAC'),
    ('016217', 'MERPINS'),
    ('016218', 'MESNAC'),
    ('016220', 'LES MÉTAIRIES'),
    ('016221', 'MONS'),
    ('016222', 'MONTBOYER'),
    ('016223', 'MONTBRON'),
    ('016225', 'MONTEMBŒUF'),
    ('016226', 'MONTIGNAC-CHARENTE'),
    ('016227', 'MONTIGNAC-LE-COQ'),
    ('016228', 'MONTIGNÉ'),
    ('016229', 'MONTJEAN'),
    ('016224', 'MONTMÉRAC'),
    ('016230', 'MONTMOREAU'),
    ('016231', 'MONTROLLET'),
    ('016232', 'MORNAC'),
    ('016233', 'MOSNAC'),
    ('016234', 'MOULIDARS'),
    ('016236', 'MOUTHIERS-SUR-BOËME'),
    ('016237', 'MOUTON'),
    ('016238', 'MOUTONNEAU'),
    ('016239', 'MOUZON'),
    ('016240', 'NABINAUD'),
    ('016241', 'NANCLARS'),
    ('016242', 'NANTEUIL-EN-VALLÉE'),
    ('016243', 'NERCILLAC'),
    ('016244', 'NERSAC'),
    ('016245', 'NIEUIL'),
    ('016246', 'NONAC'),
    ('016248', 'ORADOUR-D''AIGRE'),
    ('016249', 'ORADOUR-FANAIS'),
    ('016250', 'ORGEDEUIL'),
    ('016251', 'ORIOLLES'),
    ('016252', 'ORIVAL'),
    ('016253', 'PAIZAY-NAUDOUIN-EMBOURIE'),
    ('016254', 'PALLUAUD'),
    ('016255', 'PARZAC'),
    ('016256', 'PASSIRAC'),
    ('016258', 'PÉRIGNAC'),
    ('016259', 'LA PÉRUSE'),
    ('016260', 'PILLAC'),
    ('016261', 'LES PINS'),
    ('016263', 'PLASSAC-ROUFFIAC'),
    ('016264', 'PLEUVILLE'),
    ('016267', 'POULLIGNAC'),
    ('016268', 'POURSAC'),
    ('016269', 'PRANZAC'),
    ('016270', 'PRESSIGNAC'),
    ('016271', 'PUYMOYEN'),
    ('016272', 'PUYRÉAUX'),
    ('016273', 'RAIX'),
    ('016274', 'RANCOGNE'),
    ('016275', 'RANVILLE-BREUILLAUD'),
    ('016276', 'REIGNAC'),
    ('016277', 'RÉPARSAC'),
    ('016279', 'RIOUX-MARTIN'),
    ('016280', 'RIVIÈRES'),
    ('016281', 'LA ROCHEFOUCAULD'),
    ('016282', 'LA ROCHETTE'),
    ('016283', 'RONSENAC'),
    ('016284', 'ROUFFIAC'),
    ('016285', 'ROUGNAC'),
    ('016286', 'ROUILLAC'),
    ('016287', 'ROULLET-SAINT-ESTÈPHE'),
    ('016192', 'ROUMAZIÈRES-LOUBERT'),
    ('016289', 'ROUSSINES'),
    ('016290', 'ROUZÈDE'),
    ('016291', 'RUELLE-SUR-TOUVRE'),
    ('016292', 'RUFFEC'),
    ('016293', 'SAINT-ADJUTORY'),
    ('016295', 'SAINT-AMANT-DE-BOIXE'),
    ('016298', 'SAINT-AMANT-DE-NOUÈRE'),
    ('016301', 'SAINT-AULAIS-LA-CHAPELLE'),
    ('016302', 'SAINT-AVIT'),
    ('016303', 'SAINT-BONNET'),
    ('016304', 'SAINT-BRICE'),
    ('016306', 'SAINT-CHRISTOPHE'),
    ('016307', 'SAINT-CIERS-SUR-BONNIEURE'),
    ('016308', 'SAINT-CLAUD'),
    ('016310', 'SAINT-COUTANT'),
    ('016312', 'SAINT-CYBARDEAUX'),
    ('016315', 'SAINT-FÉLIX'),
    ('016316', 'SAINT-FORT-SUR-LE-NÉ'),
    ('016317', 'SAINT-FRAIGNE'),
    ('016318', 'SAINT-FRONT'),
    ('016320', 'SAINT-GENIS-D''HIERSAC'),
    ('016321', 'SAINT-GEORGES'),
    ('016323', 'SAINT-GERMAIN-DE-MONTBRON'),
    ('016325', 'SAINT-GOURSON'),
    ('016326', 'SAINT-GROUX'),
    ('016329', 'SAINT-LAURENT-DE-CÉRIS'),
    ('016330', 'SAINT-LAURENT-DE-COGNAC'),
    ('016331', 'SAINT-LAURENT-DES-COMBES'),
    ('016332', 'SAINT-LÉGER'),
    ('016334', 'SAINT-MARTIAL'),
    ('016335', 'SAINT-MARTIN-DU-CLOCHER'),
    ('016336', 'SAINT-MARY'),
    ('016337', 'SAINT-MAURICE-DES-LIONS'),
    ('016338', 'SAINT-MÉDARD'),
    ('016340', 'SAINT-MÊME-LES-CARRIÈRES'),
    ('016341', 'SAINT-MICHEL'),
    ('016342', 'SAINT-PALAIS-DU-NÉ'),
    ('016343', 'SAINT-PREUIL'),
    ('016344', 'SAINT-PROJET-SAINT-CONSTANT'),
    ('016346', 'SAINT-QUENTIN-DE-CHALAIS'),
    ('016345', 'SAINT-QUENTIN-SUR-CHARENTE'),
    ('016347', 'SAINT-ROMAIN'),
    ('016348', 'SAINT-SATURNIN'),
    ('016350', 'SAINT-SÉVERIN'),
    ('016351', 'SAINT-SIMEUX'),
    ('016352', 'SAINT-SIMON'),
    ('016353', 'SAINT-SORNIN'),
    ('016355', 'SAINT-SULPICE-DE-COGNAC'),
    ('016356', 'SAINT-SULPICE-DE-RUFFEC'),
    ('016357', 'SAINT-VALLIER'),
    ('016358', 'SAINT-YRIEIX-SUR-CHARENTE'),
    ('016349', 'SAINTE-SÉVÈRE'),
    ('016354', 'SAINTE-SOULINE'),
    ('016359', 'SALLES-D''ANGLES'),
    ('016360', 'SALLES-DE-BARBEZIEUX'),
    ('016361', 'SALLES-DE-VILLEFAGNAN'),
    ('016362', 'SALLES-LAVALETTE'),
    ('016363', 'SAULGOND'),
    ('016364', 'SAUVAGNAC'),
    ('016365', 'SAUVIGNAC'),
    ('016366', 'SEGONZAC'),
    ('016368', 'SERS'),
    ('016369', 'SIGOGNE'),
    ('016370', 'SIREUIL'),
    ('016372', 'SOUFFRIGNAC'),
    ('016373', 'SOUVIGNÉ'),
    ('016374', 'SOYAUX'),
    ('016375', 'SUAUX'),
    ('016376', 'SURIS'),
    ('016377', 'LA TÂCHE'),
    ('016378', 'TAIZÉ-AIZIE'),
    ('016379', 'TAPONNAT-FLEURIGNAC'),
    ('016380', 'LE TÂTRE'),
    ('016381', 'THEIL-RABIER'),
    ('016382', 'TORSAC'),
    ('016383', 'TOURRIERS'),
    ('016384', 'TOUVÉRAC'),
    ('016385', 'TOUVRE'),
    ('016387', 'TRIAC-LAUTRAIT'),
    ('016388', 'TROIS-PALIS'),
    ('016389', 'TURGON'),
    ('016390', 'TUSSON'),
    ('016391', 'TUZIE'),
    ('016175', 'VAL-DES-VIGNES'),
    ('016300', 'VAL-DE-BONNIEURE'),
    ('016392', 'VALENCE'),
    ('016393', 'VARS'),
    ('016394', 'VAUX-LAVALETTE'),
    ('016395', 'VAUX-ROUILLAC'),
    ('016396', 'VENTOUSE'),
    ('016397', 'VERDILLE'),
    ('016398', 'VERNEUIL'),
    ('016399', 'VERRIÈRES'),
    ('016400', 'VERTEUIL-SUR-CHARENTE'),
    ('016401', 'VERVANT'),
    ('016402', 'VIBRAC'),
    ('016403', 'LE VIEUX-CÉRIER'),
    ('016404', 'VIEUX-RUFFEC'),
    ('016405', 'VIGNOLLES'),
    ('016406', 'VILHONNEUR'),
    ('016408', 'VILLEBOIS-LAVALETTE'),
    ('016409', 'VILLEFAGNAN'),
    ('016410', 'VILLEGATS'),
    ('016411', 'VILLEJÉSUS'),
    ('016412', 'VILLEJOUBERT'),
    ('016413', 'VILLIERS-LE-ROUX'),
    ('016414', 'VILLOGNON'),
    ('016415', 'VINDELLE'),
    ('016416', 'VITRAC-SAINT-VINCENT'),
    ('016418', 'VŒUIL-ET-GIGET'),
    ('016419', 'VOUHARTE'),
    ('016420', 'VOULGEZAC'),
    ('016421', 'VOUTHON'),
    ('016422', 'VOUZAN'),
    ('016423', 'XAMBES'),
    ('016424', 'YVIERS'),
    ('016425', 'YVRAC-ET-MALLEYRAND');

